;************************************************
;*						*
;* CANNOT BE COMPILED !!			*
;* ---------------------			*
;*						*
;* Math,inc					*
;*						*
;* Author:   Hank Campbell			*
;* Dated:    11-09-02				*
;* System:   Procomm Plus 4.8			*
;* OSS:      Win98SE				*
;*						*
;* Example:  #Include "Math.inc"		*
;*						*
;* This Include File Demonstrates how the	*
;* Programmer can Create a Single INC File,	*
;* that can be used in Several WAS Scripts.	*
;* Each Function / Procedure Group MUST be	*
;* Enclosed between a Set of #IFDEF and		*
;* #ENDIF Statements and Must Be Defined	*
;* in the Script, using the Include File Name	*
;*						*
;* NOTE: Several Function / Procedure Blocks	*
;*       Can be Used in One Script. If all the	*
;*       Blocks are Defined in the Script !	*
;*						*
;* EXAMPLE: TWO BLOCKS CALLED			*
;*						*
;* #DEFINE M1					*
;* #DEFINE M2					*
;* #Include "Math.inc"				*
;* Proc Main					*
;* .......					*
;*........					*
;* Endproc					*
;*						*
;************************************************


;************************************************
;*						*
;* MULTI BLOCK					*
;*						*
;* This Function Block Calls the M3 Block.	*
;*						*
;************************************************

#IFDEF M4

 #DEFINE M3

#ENDIF

;************************************************
;*						*
;* ADDER BLOCK					*
;*						*
;* Returns the Total of A and B. 		*
;*					   	*
;************************************************

#IFDEF M1

FUNC adder : INTEGER
 PARAM INTEGER A, B
  integer sum
  sum = A + B
 RETURN sum
ENDFUNC

#ENDIF

;************************************************
;*					   	*
;* SUBTR BLOCK					*
;*					   	*
;* Returns the Total of E Minus D.		*
;*						*
;* Takes the Greeting Sting, Appends the temp	*
;* String, and Returns the Full Greeting String.*
;*					   	*
;* Displays the Usermsg that was Created within	*
;* this Local Procedure.			*
;*						*
;************************************************

#IFDEF M2

FUNC subtr : INTEGER
 PARAM INTEGER D, E
  integer sum
  sum = D - E
 RETURN sum
ENDFUNC

FUNC greet : STRING
 PARAM STRING Greeting
 String temp = "Hank"
 String Name
 strfmt Name "%s %s" Greeting temp
 RETURN Name
ENDFUNC

PROC Ender
 string sOne = "You Just Used Subtract"
 Usermsg sOne
ENDPROC

#ENDIF

;************************************************
;*						*
;* DIVDR BLOCK					*
;*						*
;* Returns the Total of F Divided by G.		*
;*						*
;************************************************

#IFDEF M3

FUNC divdr : INTEGER
 PARAM INTEGER F, G
  integer sum
  sum = F / G
 RETURN sum
ENDFUNC

FUNC greet : STRING
 PARAM STRING Greeting
 String temp = "Barney"
 String Name
 strrev Greeting
 strrev temp
 strfmt Name "%s %s" Greeting temp
 RETURN Name
ENDFUNC

PROC Ender
 string sOne = "You Just Used Divide"
 Usermsg sOne
ENDPROC

#ENDIF

;************************************************
;*						*
;* TESTER BLOCK					*
;*						*
;* Procedure M5 is used to Display Two User	* 
;* Messages.					*
;*						*
;************************************************


#IFDEF M5

  #IFNDEF Tester
   #DEFINE Tester "SECOND"
  #ENDIF
  
  #IFDEF Name
   #UNDEF Name
   #DEFINE Name "SUSAN"
  #ENDIF
  
PROC Output
 
 Usermsg Tester
 Usermsg Name
 
ENDPROC

#ENDIF